geos::operation::linemerge Namespace Reference

Line merging package. More...

## Classes

class | EdgeString
| A sequence of LineMergeDirectedEdge forming one of the lines that will be output by the line-merging process. More...
class | LineMergeDirectedEdge
| A DirectedEdge of a LineMergeGraph. More...
class | LineMergeEdge
| An edge of a LineMergeGraph. The `marked` field indicates whether this Edge has been logically deleted from the graph. More...
class | LineMergeGraph
| A planar graph of edges that is analyzed to sew the edges together. More...
class | LineMerger
| Sews together a set of fully noded LineStrings. More...
class | LineSequencer
| Builds a sequence from a set of LineStrings so that they are ordered end to end. More...

## Detailed Description

Line merging package.